Skip to content

实时余额查询

  • Endpoint: POST /aggregate-pay/api/gateway/realTimeAccountBalanceQuery
  • Tags: 资金账户(新)

Description

查询资金账户的实时余额

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYes当前值为:1.5
keyVersionstringYes当前值为:1
requestTimestringYes符合rfc3339规范,格式:yyyy-MM-dd'T'HH:mm:ss.SSSXXX 时间需要在当前时间两分钟内
appIdstringYesayerMax分配给商户应用的唯一标识
memberIdstringYes
dataobjectYes
data.plainSignbooleanNotrue表示需要返回 false表示无需返回 默认为false
data.realTimeAccountBalanceQueryReqobjectNo
data.realTimeAccountBalanceQueryReq.fundsAccountCurrencyListarray[string]No币种列表
data.realTimeAccountBalanceQueryReq.fundsAccountNoListarray[string]No资金账号列表

Example

json
{
  "version": "1.5",
  "keyVersion": "1",
  "requestTime": "2025-12-03T21:00:13.712+08:00",
  "appId": "798b79c2e33a4d8e866410bf401551a7",
  "memberId": "20250619P01B00000075000002",
  "data": {
    "plainSign": true,
    "realTimeAccountBalanceQueryReq": {
      "fundsAccountCurrencyList": [],
      "fundsAccountNoList": [
        "P25071194883"
      ]
    }
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYes
codestringYes
dataobjectYes
data.accountBalanceInfoListarray[object]Yes
data.accountBalanceInfoList[].balancenumber/integerYes当前实时余额
data.accountBalanceInfoList[].fundsAccountNostringYes资金账号
data.accountBalanceInfoList[].fundsAccountCurrencystringYes币种
data.inquiryTimestringYes查询时间

Response Example

json
{
  "msg": "",
  "code": "APPLY_SUCCESS",
  "data": {
    "accountBalanceInfoList": [
      {
        "balance": 733.78,
        "fundsAccountNo": "P25071194883",
        "fundsAccountCurrency": "AED"
      },
      {
        "balance": 0,
        "fundsAccountNo": "P25071194883",
        "fundsAccountCurrency": "BDT"
      },
      {
        "balance": 0,
        "fundsAccountNo": "P25071194883",
        "fundsAccountCurrency": "CNY"
      },
      {
        "balance": 0,
        "fundsAccountNo": "P25071194883",
        "fundsAccountCurrency": "HKD"
      },
      {
        "balance": 400,
        "fundsAccountNo": "P25071194883",
        "fundsAccountCurrency": "USD"
      }
    ],
    "inquiryTime": "2025-12-03T13:01:29.957Z"
  }
}

此页面的内容有帮助吗?

感谢您帮助改进 PayerMax 产品文档!

Released under the MIT License.